/************ // General HTML Tags // ************/


/************ // Site Structure // ************/
body {
    font-family: 'Roboto', sans-serif;
    color: #636363;
}

a{
    text-decoration: none;
}

.site-inner{
    max-width: unset;
    padding: 0 0;
}

.entry {
    margin-bottom: 0;
    padding: 0;
}

header.entry-header {
    display: none;
}

.limitwidth {
    max-width: 1200px;
    margin: 0 auto;
    overflow: hidden;
}

section {
    width: 100%;
    overflow: hidden;
}

.fontupper {
    text-transform: uppercase;
}

.redfont {
    color: #c11e23;
}

.aligncenter {
    text-align: center;
    margin: 0;
}

.flex{
    display: flex;
}

.flexwrap{
    flex-wrap: wrap;
}

.justifyCenter{
    justify-content: center;
}

.alignCenter{
    align-items: center;
    text-align: center;
}

.pageHeading, .pagesubheading {
    text-transform: uppercase;
    text-align: center;
    max-width: 1200px;
    margin: 0 auto;
}

.bottomPadding {
    padding-bottom: 40px;
}

.boldfont {
    font-weight: 600;
}

.thinfont {
    font-weight: 200;
}

.pagesection {
    padding: 30px 0;
}
.centerAlign{
    text-align: center;
}
.noPadding {
    padding: 0 !important;
}
.bigPadding{
    padding: 80px;
}
.darkbackground {
    background: #262523;
    padding: 20px 0;
    color: #fff;
}

.pagesubheading {
    margin: 0px auto 20px;
    font-size: 50px;
}

.pageHeading h1 {
    font-size: 57px;
}

.pageHeading{
    font-size: 57px;
}

p {
    font-size: 16px;
}

.tileSection {
    margin: 0;
}


.divblackbackground {
    background: #000;
    color: #fff;
}

.topPadding {
    padding-top: 40px;
}

.smallMargin{
    margin: 5px;
}
/************ // Header // ************/
.site-header {
    background-color: #ffffffe0;
    position: fixed;
    width: 100%;
    top: 0;
    box-shadow: 0 0 5px #a5a1a1;
    z-index: 999;
}

.header-image .site-title > a {
    background-position: left !important;
}

.site-header > .wrap {
    padding: 5px 120px;
    display: flex;
    width: 100%;
    align-items: center;
    max-width: unset;
}

.site-header .widget-area {
    float: right;
    text-align: right;
    width: 100%;
}


/************ // Menu // ************/
.genesis-nav-menu a {
    color: #000;
    text-decoration: none;
    display: block;
    padding: 20px 16px;
    text-transform: uppercase;
    font-weight: 600;
}

.genesis-nav-menu a:hover, .genesis-nav-menu a:focus, .genesis-nav-menu .current-menu-item > a, .genesis-nav-menu .sub-menu .current-menu-item > a:hover, .genesis-nav-menu .sub-menu .current-menu-item > a:focus {
    text-decoration: none;
}

/************ // Content // ************/
.pageBannerHolder img {
    display: block;
}

.pageHeading  h1, .pageHeading {
    color: #000;
    margin-bottom: 0;
}

/* .pageHeading h1::after, .pagesubheading::after {
    height: 5px;
    width: 150px;
    background: #c11e23;
    content: " ";
    display: block;
    margin: 10px auto 0;
} */


.rokkitbutton a {
    display: inline-block;
    text-transform: uppercase;
    background: #000;
    text-align: center;
    color: #fff;
    min-width: 250px;
    border-radius: 0px;
    padding: 5px 25px;
    /* border: 2px solid #000; */
}

span.quform-button-text.quform-button-submit-text {
    font-size: 20px;
    font-weight: 400;
    width: 100% !important;
    display: inline-block;
}

.quform-submit {
    min-width: 250px !important;
}

.circleImageInterior p {
    font-size: 13px;
    /* font-weight: 600; */
    padding: 0px 10px;
}

.headingIcon {
    width: 150px;
}

.tileHeading {
    color: #000;
    text-transform: capitalize;
}

.darkbackground .rokkitbutton a {
    border-color: #fff;
    background: transparent;
}

.dottedborder {
    border-top: 1px dashed;
    border-bottom: 1px dashed;
}

.wpsm_count-title {
    min-height: 70px !important;
    font-size: 22px !important;
}

.circleCenter {
    width: 200px;
    height: 200px;
    /* border-radius: 50%; */
    /* display: flex; */
    /* overflow: hidden; */
    /* position: relative; */
    /* left: 50%; */
    /* top: 50%; */
    /* transform: translate(-50%, -50%); */
}

.blackbackground {
    background-image: url(https://rokkit.co.za/wp-content/uploads/2024/04/Sell-more-cars.webp);
    background-position: center;
    position: absolute;
    border-radius: 50%;
    width: 150px;
    height: 150px;
    left: 3px;
    top: 3px;
    overflow: hidden;
    font-size: 20px;
}

.circleCenter span {
    color: #fff;
    /* font-size: 34px; */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    padding: 30px;
    background: #000000ab;
    font-weight: 600;
}

.circleImageHolderMain {
    position: relative;
}

.circleImageHolderMain {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 700px;
    overflow: visible;
}

.systemsDetailHolder {
    display: none;
    width: 500px;
}

.circleCenterSystem {
    position: relative;
    width: 500px;
    height: 500px;
    top: 200px;
    left: 160px;
}
.circleCenter {
    /* display: flex; */
    /* overflow: hidden; */
    /* position: relative; */
    /* left: 50%; */
    /* top: 50%; */
    /* transform: translate(-50%, -50%); */
}

.systemsDetailItem {
    display: none;
    border-radius: 3px;
    box-shadow: 0 3px 10px #ccc;
    padding: 15px;
    font-size: 13px;
}


.redborder {
    border: 2px solid #c11e23;
    border-radius: 50%;
    width: 160px;
    height: 160px;
    transition: all 0.5s;
}
.rotateImage {
    position: absolute;
    width: 200px;
    height: 150px;
    overflow: visible;
    cursor: pointer;
    transition: all 0.5s;
    font-size: 11px;
}

.active {
    font-size: 17px;
}

.rotateImage.active {
    width: 250px;
    height: 250px;
}

.displayDiscription {
    display: block;
}

.displayModule {
    display: block !important;
    /* width: 50%; */
}
.rotateImage:nth-child(2) { transform: rotate(45deg) translateX(250px); }
.rotateImage:nth-child(3) { transform: rotate(90deg) translateX(250px); }
.rotateImage:nth-child(4) { transform: rotate(135deg) translateX(250px); }
.rotateImage:nth-child(5) { transform: rotate(180deg) translateX(250px); }
.rotateImage:nth-child(6) { transform: rotate(225deg) translateX(250px); }
.rotateImage:nth-child(7) { transform: rotate(270deg) translateX(250px); }
.rotateImage:nth-child(8) { transform: rotate(315deg) translateX(250px); }
.rotateImage:nth-child(9) { transform: rotate(0deg) translateX(250px); }

.rotateImage:nth-child(2) .circleImageInterior { rotate:-45deg; }
.rotateImage:nth-child(3) .circleImageInterior { rotate:-90deg; }
.rotateImage:nth-child(4) .circleImageInterior { rotate:-135deg; }
.rotateImage:nth-child(5) .circleImageInterior { rotate:-180deg; }
.rotateImage:nth-child(6) .circleImageInterior { rotate:-225deg; }
.rotateImage:nth-child(7) .circleImageInterior { rotate:-270deg; }
.rotateImage:nth-child(8) .circleImageInterior { rotate:-315deg; }
.rotateImage:nth-child(9) .circleImageInterior { rotate : -0deg; }

.systemsDetailHolder {
    display: none;
}

.active {
    width: 200px;
    height: 200px;
    /* top: 0%; */
    left: -25px;
    top: -50px;
}

.active .blackbackground {
    background-image: url(https://rokkit.co.za/wp-content/uploads/2024/04/Sell-more-cars.webp);
    background-position: center;
    position: absolute;
    border-radius: 50%;
    height: 230px;
    width: 230px;
    left: 8px;
    top: 8px;
    font-size: 34px;
    overflow: hidden;
}

.active .redborder {
    height: 250px;
    width: 250px;
}

.circleCenterSystem.displayLeftModule {
    left: 10px;
}
.active .circleImageInterior { rotate:0deg !important; }

.greyBackground {
    background: #e5e5e5;
}

.active .circleImageInterior p {
    font-size: 16px;
}

.circleImageInterior img:hover {
    rotate: 360deg;
    transition-duration: 0.7s;
    transition-timing-function: ease-in-out;
}

.bottomSectionHome p {
    font-size: 20px;
    margin: 0;
}

.rokkitSection h4, .rokkitSection p {
    padding: 0 40px;
}

.rokkitSection h4 {
    min-height: 50px;
}

section.homeCounterSection {
    background: #efefef;
    padding: 40px;
    display: flex;
    margin: 0 0 40px;
}

.homeCounterSection .wpsm_counterbox {
    box-shadow: 2px 2px 7px #a5a5a5;
    margin: 10px 0 !important;
    padding: 30px;
    background: #fff;
}

.wpsm_counterbox {
    /* border:1px solid transparent; */
}

.homeCounterSection .wpsm_row:nth-of-type(1) .wpsm_col-md-6:nth-of-type(1) .wpsm_counterbox {
    /* border-bottom:1px solid #000; */
}

.homeAboutSection {
    overflow: hidden;
    margin: 40px auto;
}

.tileHolder {
    display: flex;
    justify-items: center;
    /* align-items: center; */
    width: 100%;
}

.halfTileImage {
    width: 50%;
    /* height: 100%; */
}
.halfTileContent {
    width: 50%;
    position: relative;
}
.halfTileContent > div {
    /* position: absolute; */
    /* top: 50%; */
    /* left: 50%; */
    /* width: 80%; */
    /* transform: translate(-50%,-50%); */
    padding: 40px 80px;
}

.home .tileHolder , .page-id-560 .tileHolder{
    display: flex;
    justify-items: center;
    /* align-items: center; */
    width: 100%;
}

.home .halfTileImage, .page-id-560 .halfTileImage {
    width: 50%;
    height: 100%;
}
.home .halfTileContent, .page-id-560 .halfTileContent {
    width: 50%;
    position: relative;
}
.home .halfTileContent > div,.page-id-560 .halfTileContent > div {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 80%;
    transform: translate(-50%,-50%);
    padding: 0px 0px;
}

.halfTileContent > div p, .halfTileContent > div ul {
    font-size: 14px;
}

.halfTileImage img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

a.siteButton, .quform-popup-link {
    display: inline-block;
    background: #000;
    color: #fff;
    padding: 5px 25px !important;
    min-width: 220px;
    text-align: center;
}

a.siteButton i {
    /* font-size: 15px; */
}

.reverseRow {
    flex-direction: row-reverse;
}

#wpsm_counter_b_row_205 .wpsm_counterbox .wpsm_count-title {
    margin-top: 0px !important;
}

.objectImage img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.objectImage {
    height: 100%;
    padding: 10px;
}

/* Marketing */
.lightGrey {
    background: #efefef;
}

.marketingTileContent p {
    min-height: 80px;
}
.websiteTiles {
    margin: 0;
}

.marketingTileHolder {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 40px 0;
}

.marketingTile {
    width: calc(100%/4);
    margin-bottom: 40px;
}

.marketingTileContent {
    padding: 0 10px;
}

.marketingTileHeading {
    color: #000;
    min-height: 60px;
}


/* Website dev */
.websiteCircles  .marketingTile {
    width: calc(100%/5);
    margin-bottom: 40px;
}
.blackFont {
    color: #000;
}

.marketingTileImage img {
    display: block;
    margin: 0 auto;
}


/* contact us */

.contactUsInfo {
    max-width: 320px;
}

.mapSection {
    width: 100%;
}


.contactUsInfo a {
    color: #000;
    margin-left: 10px;
}

.contactUsInfo p {
    display: flex;
    align-content: center;
}
.contactUsInfo i {
    color: #c11e23;
    margin-top: 5px;
}
.formSection {
    padding-top: 10px;
}


/************ // WooCommerce // ************/


/************ // Footer // ************/
.site-footer {
    background-color: #000000;
    border-top: 0px;
    font-size: 16px;
    font-size: 18px;
    line-height: 1;
    padding: 40px 0;
    text-align: center;
    color: #fff;
    text-transform: uppercase;
}

.footer-widgets {
    background-color: #161615;
    font-size: 18px;
    font-size: 15px;
    clear: both;
    padding: 60px 0;
    color: #fff;
    font-weight: 200;
}

h3.widgettitle.widget-title {
    font-size: 24px;
    color: #767676;
    margin-bottom: 10px;
}

#genesis-footer-widgets a {
    color: #fff;
}

section#text-2 li {
    padding: 0;
}

span.quform-popup-link.quform-popup-link-2 {
    display: inline-block;
    background: #000;
    text-align: center;
    color: #fff;
    /* border-radius: 5px; */
    padding: 3px;
    margin-top: 10px;
}

#custom_html-4 span.quform-popup-link.quform-popup-link-2 {
    display: inline-block;
    background: #ffffff;
    text-align: center;
    color: #000;
    /* border-radius: 5px; */
    padding: 3px;
    margin-top: 10px;
}

.quform-2 .quform-button-submit.quform-button-submit-2_2 button, .quform-2 .quform-element-submit.quform-button-style-theme .quform-button-submit.quform-button-submit-2_2 button {
    border-radius: 0;
}

.footersocials i {
    font-size: 35px;
}

footer.site-footer a {
    color: #fff;
}

.footer-widgets .wrap {
    max-width: unset;
    display: flex;
    justify-content: center;
}

.footer-widgets .wrap > div {
    max-width: 330px;
    padding: 0 20px;
}

.footersocials {
    margin-bottom: 30px;
}

div#whatlead_app {
    margin-top: 150px;
    margin-left: 50px;
}
.footer-widgets ul > li {
    margin-bottom: 5px;
    padding-bottom: 0;
}

section#custom_html-4 ul {
    margin-top: 20px;
}

/************ // Responsive // ************/

@media screen and (max-width: 1200px) { /* Laptop */

}

@media screen and (max-width: 1024px) { /* Older Desktop */
    /* circes */
    .circleImageHolderMain{
        width: 100%;
        height: unset;
        top: unset;
        flex-wrap: wrap;
    }
    .circleCenterSystem.displayLeftModule{
        left: unset;
    }
    .circleCenterSystem{
        top: unset;
        left: unset;
        width: 100%;
        height: unset;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }
    .rotateImage{
        position: relative;
        transform: none !important;
        display: block;
        height: unset;
        transition: none;
        width: calc(100%/4);
        font-size: unset;
    }
    .rotateImage[data="start"]{
        display: none;
    }
    .circleImageInterior{
        rotate: unset !important;
    }
    .systemsDetailHolder{
        width: 100%;
        padding: 0 15px;display: block;
    }
    .systemsDetailItem{
        display: block;
        margin-bottom: 15px;
        box-shadow: 0 0px 4px #ccc;
    }
    .active{
        top: unset;
        left: unset;
        width: calc(100%/4);
        font-size: unset;
    }
    .active .circleImageInterior{
        rotate: unset !important;
    }
    .active .circleImageInterior p{
        font-size: 11px;
        color: #c11e23;
    }
    .systemsDetailItem h3{
        margin-bottom: 0px;
        cursor: pointer;
    }
    .systemsDetailItem .systemsDetailItemContent{
        max-height: 0px;
        overflow: hidden;
        padding: 0;
        transition-duration: 0.5s;
    }
    .systemsDetailItem.displayDiscription .systemsDetailItemContent{
        max-height: 500px;
        padding: 10px 0px;
        transition-duration: 0.5s;
    }
    .systemsDetailItem .systemsDetailItemContent p{
        margin-bottom: 0;
    }

    .home .tileHolder, .page-id-560 .tileHolder {
        width: 100%;
        flex-direction: column;
    }

    .home .halfTileContent > div, .page-id-560 .halfTileContent > div {
        top: 50%;
        left: 50%;
        width: 100%;
        transform: unset;
        padding: 20px;
        position: initial;
    }

    .home .halfTileImage, .page-id-560 .halfTileImage {
        width: 100%;
    }
    .home .halfTileContent, .page-id-560 .halfTileContent {
        width: 100%;
    }

    #wpsm_counter_b_row_205 .wpsm_counterbox .wpsm_number {
        font-size: 50px;
    }

    section.homeCounterSection {
        flex-direction: column;
    }

    .homeCounterSection .one-half{
        width: 100% !important;
    }

}

@media screen and (max-width: 768px) { /* iPad */
    .footer-widgets .wrap {
        flex-direction: column;
    }

    .footer-widgets .wrap > div {
        margin: unset;
        padding: 20px;
    }

    .wpsm_count-title {
        min-height: 105px !important;
    }

    h2.tileHeading {
        display: flex;
        align-items: center;
    }

    .site-header > .wrap {
        padding: 20px;
        width: 100%;
        flex-direction: column;
    }

    .header-image .site-title > a {
        background-position: center !important;
    }
    .menu-toggle, .sub-menu-toggle,  .genesis-nav-menu .sub-menu a , .js nav button:hover, .js .menu-toggle:hover, .js .nav-primary{
        background-color: #ffffff00;
    }
    .js .nav-primary .genesis-nav-menu .menu-item, .js .site-header .genesis-nav-menu .menu-item {
        border-bottom: 1px solid;
    }

    .marketingTile {
        width: calc(100%/2);
    }

    .websiteCircles  .marketingTile {
        width: calc(100%/3);
    }

    .tileHolder, .reverseRow  {
        flex-direction: column;
    }
    
    .halfTileImage , .halfTileContent{
        width: 100%;
    }
    .halfTileContent > div {
        padding: 20px;
    }

    p.centerAlign {
        padding: 20px;
    }
    
    a.siteButton, .quform-popup-link {
        display: flex;
        padding: 5px 15px;
        margin: 5px;
        justify-content: center;
        width: 50%;
        flex-wrap: wrap;
        margin: 6px auto;
        align-items: center;
    }

    .site-header {
        position: relative;
    }
}

@media screen and (max-width: 480px) { /* iPhone 6 Plus, Landscape Display */
    .rotateImage, .active{
        min-width: calc(100%/2);
    }

    a.siteButton {
        width: 90%;
    }
    
    .quform-popup-link {
        width: 100%;
    }

    .marketingTile {
        width: 100%;
    }


    .websiteCircles  .marketingTile {
        width: calc(100%/1);
    }

    .page-id-569 .flex {
        flex-direction: column;
    }

    .page-id-569 .bigPadding {
        padding: 20px;
    }

    .page-id-569 .contactUsInfo {
        max-width: 100%;
    }
}

@media screen and (max-width: 320px) { /* iPhone 4,5, Portrait Display */

}